#include <ros/ros.h>
#include "acoustic_analyzer/ros/acoustic_node.h"
#include "acoustic_analyzer/ros/threat_publisher.h"

int main(int argc, char** argv) {
    ros::init(argc, argv, "acoustic_analyzer_node");
    ros::NodeHandle nh;
    ros::NodeHandle pnh("~");

    acoustic::ThreatPublisher publisher(nh);
    auto node = acoustic::create_acoustic_node(nh, pnh, &publisher);

    node->run();
    return 0;
}
